Update Recipient (GQL)

Note: All the payment API's have the endpoint: /graphql

Use this API for update a recipient.

Behaviour : A successful response from this API indicates that the recipient was successfully updated.

Body Params
ParameterDescriptionMandatoryData TypeExample
nickNameNickname of the recipient.OptionalStringJonh
recipientTypeType of recipient (Individual or Business).OptionalStringBUSINESS
firstNameFirst name of the individual recipient.Mandatory for IndividualStringJonh
lastNameLast name of the individual recipient.(Mandatory for Individual)StringSon
businessNameName of the business recipient.(Mandatory for Business)StringSME BANK
emailAddressEmail address of the recipient.OptionalString[email protected]
phoneNumberPhone number of the recipient.OptionalString14567890
paymentRailType of payment rail (ACH, Wire, Internal, SWIFT).OptionalStringWIRE
isOwnAccountIndicates whether the account is owned by the recipient (true or false).OptionalBooleantrue
addressAddress details of the recipient.ConditionalObject
line1First line of the address.OptionalString23 Main Street
line2Second line of the address.OptionalStringapt 4B San Diego CA 91911
cityCity of the address.OptionalStringLA
stateCodeState code of the address.OptionalStringCA
countryCodeCountry code of the address.OptionalStringUS
postalCodePostal code of the address.OptionalStringLA
accountDetailsDetails of the recipient's account.Object
accountIdIdentifier for the recipient's account.ConditionalString1
accountNumberAccount number of the recipient.ConditionalString0000001
accountTypeType of account (CHECKING, SAVINGS). Default : CHECKINGOptionalStringCHECKING
bankInformationBank information associated with the recipient's account.Object
routingNumberRouting number (ABA for ACH & Wire)ConditionalString1234
swiftCodeSWIFT code for international wire transfers.ConditionalString0001
Headers
string
required
Defaults to z01j3e71zd6zkq908vyf5861a8

The ID of your banking instance visible in the MBANQ Console.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!